Subject: Re: [PATCH] net/sched: add ACT_CSUM action to update packets checksums

From: Grégoire Baron <[email-masked]>
Date: Tue, 17 Aug 2010 01:02:17 +0200

> Excellent work! Ive always wanted to do this albeit slightly
> differently.
Thanks!

> I think it would be nice to factor a lot of the code repeated
> everywhere into some boilerplate function that gets invoked by all;
> users.
You're rigth. I will correct that, maybe using a macro which is
specialised to get the protocol structure ...
However, this macro could call a 'goto' instruction. Is it really a good
idea? Tell me. Are you sure a function is appropriate?

Regards,
Grégoire